#include <stdio.h>
#include <stdlib.h>
#include "mdbtool.h"  /* this just pulls in mdb.h */

void leave(char *excuse) { printf("ERROR: %s", excuse); exit(1); }

int main (int argc, char *argv[]) {
	const unsigned char *attrval;
	const unsigned char *object = "\\Tree\\Context\\Server";
	const unsigned char *attr = "netmail:messagingserver";
	
	if (!MemoryManagerOpen("mdbtool"))
		leave("Could not start memory manager\n");
	
	if (!MDBInit()) leave("Could not initialise MDB\n");
	
	MDBHandle *h = MDBAuthenticate("Hula", NULL, NULL);
	if (h == NULL) leave("Could not authenticate to MDB\n");

	MDBValueStruct *vs = MDBCreateValueStruct(h, NULL);
	MDBEnumStruct *es = MDBCreateEnumStruct(vs);
	
	while ((attrval = MDBReadEx(object, attr, es, vs)) != NULL) {
		printf ("Attribute: %s\n", attrval);
	}
	
	MDBDestroyEnumStruct(es, vs);
	MDBDestroyValueStruct(vs);
	return 0;
}
